Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.huguesjohnson.tiamat
Enum LocationObjectData.XAlignment

    java.lang.Object
      java.lang.Enum<LocationObjectData.XAlignment>
          com.huguesjohnson.tiamat.LocationObjectData.XAlignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LocationObjectData.XAlignment>

Enclosing class:
  LocationObjectData

    public static enum LocationObjectData.XAlignment

extends java.lang.Enum<LocationObjectData.XAlignment>

Specifies the x-alignment of the object. `public enum XAlignment{ FIXED, CENTER, LEFT, RIGHT }`

Enum Constant Summary
`CENTER`
`FIXED`
`LEFT`
`RIGHT`

Method Summary
`static LocationObjectData.XAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LocationObjectData.XAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIXED

    public static final LocationObjectData.XAlignment FIXED

### CENTER

    public static final LocationObjectData.XAlignment CENTER

### LEFT

    public static final LocationObjectData.XAlignment LEFT

### RIGHT

    public static final LocationObjectData.XAlignment RIGHT

Method Detail

### values

    public static final LocationObjectData.XAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LocationObjectData.XAlignment c : LocationObjectData.XAlignment.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LocationObjectData.XAlignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2004-2006 Hugues Johnson